Subject: bug#67536: 29.1; Calc mode's math-read-preprocess-string conses unnecessarily

From: Mattias Engdegård <[email-masked]>
Date: Mon, 18 Dec 2023 11:55:10 +0100

16 dec. 2023 kl. 10.40 skrev Eli Zaretskii <[email-masked]>:

> Mattias, is this okay with you?  Should I install these patches?

So very sorry for the hiatus. I've been a bit poorly and getting back will take some time.

Raffael, thank you for your dogged measurements. Of course my clumsy code didn't preserve the possibility for `math-read-replacement-list` to translate strings longer than a single character but that's what I get for sending off-cuff patches that way.

Here's another off-cuff patch that might work better (demonstrating that I've learned nothing).

Again it's most likely that no user ever changes `math-read-replacement-list` and the code could be simplified a lot.